package cn.hmsoft.skill.data.model.school;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDateTime;

/**********************************************
* 
* @author: zxq
* @date: 2019-01-20 22:12:31
* @version: 5.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "SCHOOL_LOG", keyColumn =  "LOG_ID" , sequenceName = "SCHOOL_LOG_ID")
public class SchoolLog implements Serializable{
	private static final long serialVersionUID = -4695288323738217430L;
	//日志编号
	private Integer log_id;
	//考生编号
	private Integer school_id;
	//Log日期
	private LocalDateTime log_time;
	//log类型
	private String log_type;
	//原有值
	private String old_value;
	//新值
	private String new_value;

	/****
	 * 日志编号
	 */
	public Integer getLog_id() {
		return this.log_id;
	}

	/****
	 * 日志编号
	 */
	public void setLog_id(Integer log_id) {
		this.log_id = log_id;
	}

	/****
	 * 考生编号
	 */
	public Integer getSchool_id() {
		return this.school_id;
	}

	/****
	 * 考生编号
	 */
	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
	}

	/****
	 * Log日期
	 */
	public LocalDateTime getLog_time() {
		return this.log_time;
	}

	/****
	 * Log日期
	 */
	public void setLog_time(LocalDateTime log_time) {
		this.log_time = log_time;
	}

	/****
	 * log类型
	 */
	public String getLog_type() {
		return this.log_type;
	}

	/****
	 * log类型
	 */
	public void setLog_type(String log_type) {
		this.log_type = log_type;
	}

	/****
	 * 原有值
	 */
	public String getOld_value() {
		return this.old_value;
	}

	/****
	 * 原有值
	 */
	public void setOld_value(String old_value) {
		this.old_value = old_value;
	}

	/****
	 * 新值
	 */
	public String getNew_value() {
		return this.new_value;
	}

	/****
	 * 新值
	 */
	public void setNew_value(String new_value) {
		this.new_value = new_value;
	}


}